Bug 509115 - poor redrawing (Quadro NVS 290, dualhead)
poor redrawing (Quadro NVS 290, dualhead)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 08:53 EDT by Michal Hlavinka
Modified: 2009-11-18 18:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 18:51:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (474.01 KB, image/jpeg)
2009-07-01 08:53 EDT, Michal Hlavinka
no flags Details
Xorg.0.log (64.46 KB, text/plain)
2009-07-01 08:55 EDT, Michal Hlavinka
no flags Details

  None (edit)
Description Michal Hlavinka 2009-07-01 08:53:22 EDT
Created attachment 350102 [details]
screenshot

Description of problem:
When working, once a while part of window is not redrawed correctly. Sometimes it's black, sometimes some hole/garbage, sometimes variations of chessboard. This happens especially when I work on one screen for some time and then switch windows on second screen. 

smolt profile:
http://www.smolts.org/client/show/pub_1ff4183b-96ff-4b50-b299-34a51bc1bf1b

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64
kernel-2.6.29.5-208.fc11.x86_64

How reproducible:
sometimes

Steps to Reproduce:
1.uses system and wait
2.
3.
  
Actual results:
poor redrawing, sometimes black, holes, garbage, chessboard,... see attached screenshot

Expected results:
correct redrawing

Additional info:
this is not "after update" problem
Comment 1 Michal Hlavinka 2009-07-01 08:55:59 EDT
Created attachment 350103 [details]
Xorg.0.log
Comment 2 Michal Hlavinka 2009-07-01 08:59:17 EDT
the black line on bottom (the right side) of screenshot is because second display does not allow setting the same resolution as first one.
first: 1680x1050
second: 1280x1024
Comment 3 Matěj Cepl 2009-11-05 13:33:41 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Michal Hlavinka 2009-11-18 11:18:38 EST
seems it's fixed (tested on F-12 because I no longer have F-11 machine)
Comment 5 Adam Williamson 2009-11-18 18:51:54 EST
in that case we'll have to close as WORKSFORME as you can't confirm a fix for F11 even if Ben were to do one..thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.